MONGOC_SOCKET_GETSOCKNAME(3)

NAME
mongoc_socket_getsockname() - Retrieves the socket name for sock. The result is stored in addr. addrlen should be the size of the addr when calling this.

SYNOPSIS

int
mongoc_socket_getsockname (mongoc_socket_t *sock,
                           struct sockaddr *addr,
                           socklen_t       *addrlen);

PARAMETERS

sock
    A mongoc_socket_t \&.

addr
    A struct sockaddr.

addrlen
    A socklen_t.

DESCRIPTION

Retrieves the socket name for sock \&. The result is stored in addr \&. addrlen should be the size of the addr when calling this.

RETURNS

0 if successful, otherwise -1 and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.